
/*Written by Matthew Nelson 1/3/2016
 * program reads the state of the two line sensors
 * if it sees black the onboard LED stays  off, if it sees white
 * the LED turns on.  Useful for debugging purposes.
 * Open the Serial Monitor in the Tools menu to see what the sensors
 * are seeing.
 */

// constants won't change. They're used here to
// set pin numbers:
const int frontsensorPin = 3;     
const int rearsensorPin = 2;
const int ledPin =  13;      // the number of the LED pin

// variables will change:
int frontsensorState = 0;         
int rearsensorState = 0;

void setup() {
    Serial.begin(9600); // Required to receive debugging info in the Serial Monitor
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
  // initialize the sensor pins as an input:
  pinMode(frontsensorPin, INPUT);
  pinMode(rearsensorPin, INPUT);
}

void loop() {
  // read the state of the front line sensor value:
  frontsensorState = digitalRead(frontsensorPin);

  // check if the sensor is seeing white.
  // if it is, the sensor is HIGH:
  if (frontsensorState == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
    Serial.println("front white line detected");
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
  }



    // read the state of the sensor value:
  rearsensorState = digitalRead(rearsensorPin);
  if (rearsensorState == HIGH) {
    // turn LED on:
    digitalWrite(ledPin, HIGH);
        Serial.println("rear white line detected");
  } else {
    // turn LED off:
    digitalWrite(ledPin, LOW);
  }
}
